// src/components/LanguageSwitcher.tsx
"use client";
import * as m from "@/paraglide/messages";
import { setLanguageTag, languageTag } from "@/paraglide/runtime";

export function LanguageSwitcher() {
  return (
    <div>
      <h1>{m.welcome()}</h1>
      <p>{m.about()}</p>
      
      <button 
        onClick={() => setLanguageTag("en")}
        disabled={languageTag() === "en"}
      >
        English
      </button>
      
      <button 
        onClick={() => setLanguageTag("zh")}
        disabled={languageTag() === "zh"}
      >
        中文
      </button>
    </div>
  );
}